@ECHO OFF

CALL "%toolkit_dir%\bin\batch files\variables.bat"
set vproject_act=%steamappsusername_directory%\sourcesdk\%gamefolder%
set VPROJECT=%vproject_act%
CALL "%toolkit_dir%\bin\batch files\compile_var.bat"

IF NOT EXIST "%VPROJECT%\gameinfo.txt" COPY "%toolkit_dir%\bin\gameinfo.txt" "%VPROJECT%"



IF %prop_type% == False GOTO echo_weapon
echo WORKING ON PROP MODEL
GOTO textures
:echo_weapon
echo WORKING ON WEAPON MODEL


:textures
IF %textures_switch% == off GOTO open_texture_directory

CALL "%toolkit_dir%\bin\batch files\compile_textures.bat"


:open_texture_directory
IF %open_texturedir_switch% == off GOTO openvmts
CALL "%toolkit_dir%\bin\batch files\open_texture_directory.bat"


:openvmts
IF %openvmts_switch% == off GOTO model_compiling
CALL "%toolkit_dir%\bin\batch files\open_vmt_files.bat"


:: commands for compiling model
:model_compiling
IF %model_switch% == off GOTO copy_models_togame

CALL "%toolkit_dir%\bin\batch files\compile_model.bat"


:: commands to copy compiled model files to game dir
:copy_models_togame

CALL "%toolkit_dir%\bin\batch files\copy_to_game.bat"


:: open Half-Life Model Viewer
:open_hlmv
IF %hlmv_switch% == off goto end
echo LAUNCHING HALF-LIFE MODEL VIEWER

IF %mod_switch% == False GOTO false
set VPROJECT=%moddir%
IF NOT EXIST "%VPROJECT%\gameinfo.txt" COPY "%toolkit_dir%\bin\gameinfo.txt" "%VPROJECT%"
set model_folder=%moddir%\models\%install_folder%\%modelname%.mdl
GOTO open
:false
set VPROJECT=%steamappsusername_directory%\%fullgamename%\%gamename%
IF NOT EXIST "%VPROJECT%\gameinfo.txt" COPY "%toolkit_dir%\bin\gameinfo.txt" "%VPROJECT%"
set model_folder=%steamappsusername_directory%\%fullgamename%\%gamename%\models\%install_folder%\%modelname%.mdl

:open
"%steamappsusername_directory%\sourcesdk\bin\hlmv.exe" -open "%model_folder%"



:end
echo  COMPILING COMPLETED!
pause
