@ECHO OFF


:: TEXTURE COMPILING


IF %prop_type% == False GOTO weapon_model


:prop_model

echo CREATING TEXTURE FOLDERS...
IF NOT EXIST "%steamappsusername_directory%/sourcesdk/%gamefolder%/materials/%install_folder%" mkdir "%steamappsusername_directory%/sourcesdk/%gamefolder%/materials/%install_folder%"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk_content/%gamename%/materialsrc/%install_folder%" mkdir "%steamappsusername_directory%/sourcesdk_content/%gamename%/materialsrc/%install_folder%"
IF NOT EXIST "%toolkit_dir%\bin\temp files\props\materials\%modelname%" mkdir "%toolkit_dir%\bin\temp files\props\materials\%modelname%"

::copy_texture_files
echo COPYING TEXTURE FILES...

DEL /q "%steamappsusername_directory%\sourcesdk_content\%gamename%\materialsrc\%install_folder%\*.*"
COPY "%toolkit_dir%\model_compiling_files\%modelname%\*.tga" "%steamappsusername_directory%\sourcesdk_content\%gamename%\materialsrc\%install_folder%"

DEL /q "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\%install_folder%\*.*"


CALL "%toolkit_dir%\bin\batch files\start_vtex.bat"

MOVE "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\%install_folder%\*.*" "%toolkit_dir%\bin\temp files\props\materials\%modelname%"


echo TEXTURE COMPILING COMPLETE


:: Texture Copying
echo COPYING COMPILED TEXTURE FILES TO '%toolkit_dir%/COMPILED_MODEL_FILES/%MODELNAME%'...
IF NOT EXIST "%toolkit_dir%\compiled_model_files\%modelname%" mkdir "%toolkit_dir%\compiled_model_files\%modelname%"
COPY "%toolkit_dir%\bin\temp files\props\materials\%modelname%" "%toolkit_dir%\compiled_model_files\%modelname%"

GOTO end


:weapon_model

echo CREATING TEXTURE FOLDERS...
IF NOT EXIST "%steamappsusername_directory%/sourcesdk/%gamefolder%/materials/weapons/%modelname%" mkdir "%steamappsusername_directory%/sourcesdk/%gamefolder%/materials/weapons/%modelname%"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk_content/%gamename%/materialsrc/weapons/%modelname%" mkdir "%steamappsusername_directory%/sourcesdk_content/%gamename%/materialsrc/weapons/%modelname%"
IF NOT EXIST "%toolkit_dir%\bin\temp files\weapons\materials\%modelname%" mkdir "%toolkit_dir%\bin\temp files\weapons\materials\%modelname%"

:copy_texture_files
echo COPYING TEXTURE FILES...

COPY "%toolkit_dir%\model_compiling_files\%modelname%\*.tga" "%steamappsusername_directory%\sourcesdk_content\%gamename%\materialsrc\weapons\%modelname%"


CALL "%toolkit_dir%\bin\batch files\start_vtex.bat"

MOVE "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\weapons\%modelname%\*.*" "%toolkit_dir%\bin\temp files\weapons\materials\%modelname%"


echo TEXTURE COMPILING COMPLETE


:: TEXTURE COPYING

echo COPYING COMPILED TEXTURE FILES TO %toolkit_dir%/COMPILED_MODEL_FILES/%MODELNAME%...
IF NOT EXIST "%toolkit_dir%\compiled_model_files\%modelname%" mkdir "%toolkit_dir%\compiled_model_files\%modelname%"
COPY "%steamappsusername_directory%\sourcesdk\%gamefolder%\materials\weapons\%modelname%\*.*" "%toolkit_dir%\compiled_model_files\%modelname%"


:end
