@ECHO OFF


:: MODEL COMPILING


IF %prop_type% == False GOTO weapon_model

:prop_model
echo CREATING MODEL FOLDERS...
IF NOT EXIST "%steamappsusername_directory%/sourcesdk_content/%gamename%/modelsrc/%install_folder%" mkdir "%steamappsusername_directory%/sourcesdk_content/%gamename%/modelsrc/%install_folder%"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk/%gamefolder%/models/%install_folder%" mkdir "%steamappsusername_directory%/sourcesdk/%gamefolder%/models/%install_folder%"
IF NOT EXIST "%toolkit_dir%\bin\temp files\props\models\%modelname%" mkdir "%toolkit_dir%\bin\temp files\props\models\%modelname%"

::copy_model_files
echo COPYING MODEL FILES...

DEL /q "%steamappsusername_directory%\sourcesdk_content\%gamename%\modelsrc\%install_folder%\*.*"
COPY "%toolkit_dir%\model_compiling_files\%modelname%\*.smd" "%steamappsusername_directory%\sourcesdk_content\%gamename%\modelsrc\%install_folder%"
COPY "%toolkit_dir%\model_compiling_files\%modelname%\%modelname%.qc" "%steamappsusername_directory%\sourcesdk_content\%gamename%\modelsrc\%install_folder%"

DEL /q "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\%install_folder%\*.*"

CALL "%toolkit_dir%\bin\batch files\start_studiomdl.bat"

MOVE "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\%install_folder%\*.*" "%toolkit_dir%\bin\temp files\props\models\%modelname%"


echo MODEL COMPILING COMPLETE


:: MODEL COPYING


:: commands to copy compiled model files to main dir
echo COPYING COMPILED MODEL FILES TO %toolkit_dir%/COMPILED_MODEL_FILES/%MODELNAME%...

IF NOT EXIST "%toolkit_dir%/compiled_model_files/%modelname%" mkdir "%toolkit_dir%/compiled_model_files/%modelname%"
COPY "%toolkit_dir%\bin\temp files\props\models\%modelname%" "%toolkit_dir%\compiled_model_files\%modelname%\"

GOTO end


:weapon_model
echo CREATING MODEL FOLDERS...
IF NOT EXIST "%steamappsusername_directory%/sourcesdk_content/%gamename%/modelsrc/weapons/%modelname%" mkdir "%steamappsusername_directory%/sourcesdk_content/%gamename%/modelsrc/weapons/%modelname%"
IF NOT EXIST "%steamappsusername_directory%/sourcesdk/%gamefolder%/models/weapons/%modelname%" mkdir "%steamappsusername_directory%/sourcesdk/%gamefolder%/models/weapons/%modelname%"
IF NOT EXIST "%toolkit_dir%\bin\temp files\weapons\models\%modelname%" mkdir "%toolkit_dir%\bin\temp files\weapons\models\%modelname%"

::copy_model_files
echo COPYING MODEL FILES...

COPY "%toolkit_dir%\model_compiling_files\%modelname%\*.smd" "%steamappsusername_directory%\sourcesdk_content\%gamename%\modelsrc\weapons\%modelname%"
COPY "%toolkit_dir%\model_compiling_files\%modelname%\%modelname%.qc" "%steamappsusername_directory%\sourcesdk_content\%gamename%\modelsrc\weapons\%modelname%"

CALL "%toolkit_dir%\bin\batch files\start_studiomdl.bat"

MOVE "%steamappsusername_directory%\sourcesdk\%gamefolder%\models\weapons\%modelname%\*.*" "%toolkit_dir%\bin\temp files\weapons\models\%modelname%"


echo MODEL COMPILING COMPLETE


:: MODEL COPYING

:: commands to copy compiled model files to main dir
echo COPYING COMPILED MODEL FILES TO %toolkit_dir%/COMPILED_MODEL_FILES/%MODELNAME%...

IF NOT EXIST "%toolkit_dir%/compiled_model_files/%modelname%" mkdir "%toolkit_dir%/compiled_model_files/%modelname%"
COPY "%toolkit_dir%\bin\temp files\weapons\models\%modelname%\*.*" "%toolkit_dir%\compiled_model_files\%modelname%\"


:end
