@ECHO OFF

CALL "%toolkit_dir%\bin\batch files\variables.bat"


echo COPYING COMPILED MODEL FILES TO GAME DIRECTORY...

IF %mod_switch% == False GOTO false
set root_folder=%moddir%
GOTO copying
:false
set root_folder=%steamappsusername_directory%/%fullgamename%/%gamename%


:copying
IF %prop_type% == False GOTO weapon_model
echo %root_folder%

IF NOT EXIST "%root_folder%/models/%install_folder%" mkdir "%root_folder%/models/%install_folder%"
IF NOT EXIST "%root_folder%/materials/%install_folder%" mkdir "%root_folder%/materials/%install_folder%"

COPY "%toolkit_dir%\bin\temp files\props\models\%modelname%\*.*" "%root_folder%\models\%install_folder%"
COPY "%toolkit_dir%\bin\temp files\props\materials\%modelname%\*.*" "%root_folder%\materials\%install_folder%"

GOTO end

:weapon_model
IF NOT EXIST "%root_folder%/models/weapons/%modelname%" mkdir "%root_folder%/models/weapons/%modelname%"
IF NOT EXIST "%root_folder%/materials/weapons/%modelname%" mkdir "%root_folder%/materials/weapons/%modelname%"

COPY "%toolkit_dir%\bin\temp files\weapons\models\%modelname%\*.*" "%root_folder%\models\weapons\%modelname%"
COPY "%toolkit_dir%\bin\temp files\weapons\models\%modelname%\*.mdl" "%root_folder%\models\weapons"
COPY "%toolkit_dir%\bin\temp files\weapons\materials\%modelname%\*.*" "%root_folder%\materials\weapons\%modelname%"

:end
